Build
Keywords: testopia.API.Build class

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## testopia.API
Class Build

    java.lang.Object
      testopia.API.Build

    public class Build

extends java.lang.Object

Allows the user to get a buildID from it's name, or it's name from the buildID. It can also create and update a build

Author:
  anelson

Constructor Summary
`Build(java.lang.String userName, java.lang.String password, java.net.URL url)`

Method Summary
`int` | `getBuildIDByName(java.lang.String buildName)`
`java.lang.String` | `getBuildNameByID(int id)`
`int` | `makeBuild(java.lang.String name, int productID, java.lang.Boolean isactive)` Creates a new build and returns the buildID, 0 is returned if an error occurs
`void` | `updateBuild(java.lang.String name, java.lang.String milestone, java.lang.Boolean isactive, java.lang.String description, int buildID)` Updates builds on testopia with the specified parameters

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Build

    public Build(java.lang.String userName,
                 java.lang.String password,
                 java.net.URL url)

Parameters:
  `userName` - - your testopia/bugzilla username
  `password` - - the password for your account
  `login` - - the user you want attributes returned for
  `url` - - the url of the testopia server

Method Detail

### makeBuild

    public int makeBuild(java.lang.String name,
                         int productID,
                         java.lang.Boolean isactive)

  Creates a new build and returns the buildID, 0 is returned if an error occurs

  Parameters:
    `name` -
    `productID` -

### updateBuild

    public void updateBuild(java.lang.String name,
                            java.lang.String milestone,
                            java.lang.Boolean isactive,
                            java.lang.String description,
                            int buildID)

  Updates builds on testopia with the specified parameters

  Parameters:
    `name` - string - the name of the build. Can be null
    `milestone` - string - the milestone. Can be null
    `isactive` - Boolean - if the build is active. Can be null
    `description` - String - description of the build. Can be null
    `buildID` - int - the buildID

### getBuildIDByName

    public int getBuildIDByName(java.lang.String buildName)

  Parameters:
    `BuildName` - the name of the build that the ID will be returned for. 0 Will be returned if the build can't be found
  Returns:
    the ID of the specified product

### getBuildNameByID

    public java.lang.String getBuildNameByID(int id)

  Parameters:
    `id` - the ID of the build name that will be returned. Null is returned if the product can't be found
  Returns:
    the product name that corresponds the specified product ID

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD